.sidebar {
	transition: width 0.3s ease !important;
	overflow: hidden;
	position: fixed;
	top: 80px;
	height: calc(100vh - 80px);
	width: 80px; /* Largura inicial */
}

.sidebar:hover {
	width: 240px !important;
}

.sidebar.fixed {
	width: 240px !important;
}

.sidebar .label {
	transition: opacity 0.3s ease;
}

.sidebar .label {
	opacity: 0;
	visibility: hidden;
}

.sidebar:hover .label,
.sidebar.fixed .label {
	opacity: 1;
	visibility: visible;
}

.sidebar:hover ~ .main-content,
.sidebar.fixed ~ .main-content {
	padding-left: 240px; /* Margem quando o sidebar está expandido */
}

/* Scroll vertical para telas <= 1366px, visível apenas no hover */
@media (max-width: 1366px) {
    
	.sidebar {
		overflow-y: hidden; /* Oculta a barra de rolagem por padrão */
	}

	.sidebar:hover {
		overflow-y: auto; /* Mostra a barra de rolagem no hover, se necessário */
	}

	/* Estilização da barra de rolagem */
	.sidebar:hover::-webkit-scrollbar {
		width: 8px; /* Largura da barra */
	}

	.sidebar:hover::-webkit-scrollbar-track {
		background: #f1f1f1; /* Cinza claro para o fundo */
	}

	.sidebar:hover::-webkit-scrollbar-thumb {
		background: #d1d1d1; /* Cinza discreto para a barra */
		border-radius: 4px;
	}

	.sidebar:hover::-webkit-scrollbar-thumb:hover {
		background: #a1a1a1; /* Cinza um pouco mais escuro no hover */
	}

	/* Compatibilidade com Firefox */
	.sidebar:hover {
		scrollbar-width: thin; /* Barra fina */
		scrollbar-color: #d1d1d1 #f1f1f1 !important; /* Barra cinza discreta, fundo claro */
	}
}

.sub-frase {
	font-weight: 400;
}

/* 
Itens do menu do sidebar 
*/

.item-menu-sidebar .jet-profile-menu {
	gap: 8px;
}

.item-menu-sidebar .jet-profile-menu__item-link {
	transition: all .3s ease;
	display: flex;
	justify-content: flex-start;
	align-items: center;
	gap: 16px;
	height: 50px
}

.item-menu-sidebar .jet-profile-menu__item-link {
	padding: 5px 10px 5px 12px
}

/* Classes para usar no menu do profile builder */
.menu-items-profile-builder .jet-profile-menu__item-link:hover .icon>svg,
.menu-items-profile-builder .jet-profile-menu__item.is-active .icon>svg,
.jet-auth-links__item:hover .icon>svg {
	fill: rgba(255, 255, 255, 1) !important
}

/* 
Modal Dropdown 
*/

#modal-dropdown {
	transform: translate3d(-50%, -50%, 0);
	opacity: 0;
	visibility: hidden;
	transition: transform 0.3s ease, opacity 0.3s ease, visibility 0.3s;
	min-width: fit-content !important;
}

.ativo {
	opacity: 1 !important;
	visibility: visible !important;
	transform: translate3d(-50%, -10%, 0) !important;
}

@media(max-width: 767px) {
	#modal-dropdown {
		width: 250px !important;
	}
}

@media (max-width: 1366px) {
	.menuModal {
		overflow-y: hidden; /* Oculta a barra de rolagem por padrão */
	}

	.menuModal:hover {
		overflow-y: auto; /* Mostra a barra de rolagem no hover, se necessário */
	}

	/* Estilização da barra de rolagem */
	.menuModal:hover::-webkit-scrollbar {
		width: 8px; /* Largura da barra */
	}

	.menuModal:hover::-webkit-scrollbar-track {
		background: #f1f1f1; /* Cinza claro para o fundo */
	}

	.menuModal:hover::-webkit-scrollbar-thumb {
		background: #d1d1d1; /* Cinza discreto para a barra */
		border-radius: 4px;
	}

	.menuModal:hover::-webkit-scrollbar-thumb:hover {
		background: #a1a1a1; /* Cinza um pouco mais escuro no hover */
	}

	/* Compatibilidade com Firefox */
	.menuModal:hover {
		scrollbar-width: thin; /* Barra fina */
		scrollbar-color: #d1d1d1 #f1f1f1 !important; /* Barra cinza discreta, fundo claro */
	}
}